Name: gtk-qt-engine
Version: 0.6
Release: alt1.1

Summary: GTK-Qt Theme Engine
Group: Graphical desktop/Other
License: GPL
Url: http://www.freedesktop.org/Software/gtk-qt

Packager: Dmitry Vukolov <dav@altlinux.ru>

Source: %url/%name-%version.tar.bz2
Source1: kcmgtk.menu

Patch1: %name-0.5-kcmgtk-xdg-ru.patch

Provides: gtk-qt-engines = %version
Obsoletes: gtk-qt-engines

# Automatically added by buildreq on Wed Dec 29 2004
#BuildRequires: ORBit2-devel XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel kde-settings kdelibs-devel libGConf2-devel libart_lgpl-devel libarts-devel libatk-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnomecanvas-devel libgtk+2-devel libjpeg-devel libpango-devel libpng-devel libqt3-devel libstdc++-devel libxml2-devel pkgconfig qt3-designer xml-utils zlib-devel

BuildPreReq: ORBit2-devel XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel kde-settings kdelibs-devel libGConf2-devel libart_lgpl-devel libarts-devel libatk-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnomecanvas-devel libgtk+2-devel libjpeg-devel libpango-devel libpng-devel libqt3-devel libstdc++-devel libxml2-devel pkgconfig xml-utils zlib-devel

%description
This GTK theme engine uses the currently selected Qt style to do it's drawing.
Basically, it makes your GTK apps look like Qt ones.

%prep
%setup -q
%patch1 -p1
%__cp -f %SOURCE1 kcm_gtk/

%build
%__subst 's|\.la\>|.so|g' admin/acinclude.m4.in
%__subst 's|-ansi\>||g' admin/acinclude.m4.in
%__subst 's|-no-undefined\>||g' kcm_gtk/Makefile.am
%make -f admin/Makefile.common cvs ||:
%configure
%make

%install
%make DESTDIR=%buildroot install

%post
%update_menus

%postun
%clean_menus

%files
%doc README AUTHORS INSTALL COPYING ChangeLog
%_libdir/gtk-2.0/*/engines/libqtengine.so
%_libdir/kde3/*
%_menudir/*
%_datadir/themes/Qt
%_datadir/gtk-qt-engine
%_datadir/applnk/Settings/LookNFeel/*
%_datadir/applications/*

%changelog
* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.6-alt1.1
- Rebuilt with libstdc++.so.6.

* Wed Dec 29 2004 Dmitry Vukolov <dav@altlinux.ru> 0.6-alt1
- new version

* Fri Aug 13 2004 Dmitry Vukolov <dav@altlinux.ru> 0.5-alt1
- version 0.5
- scrollbar and toolbar patch from cvs
- updated BuildRequires
- package renamed from gtk-qt-engines to gtk-qt-engine

* Tue May 04 2004 Dmitry Vukolov <dav@altlinux.ru> 0.3-alt1
- version 0.3
- updated URL

* Thu Feb 05 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.2-alt1
- initial package
